/*
// ===============================================
// ###############################################
// ### CSS - commerce-panier-fenetre.css #########
// ###############################################
// ===============================================
// ### HISTORIQUE DE VERSION #####################
// ===============================================
// 27/03/2026 : Suppression caractères inutiles
// ===============================================
*/
.panier-fenetre {
	background-color: #FFF;
	display: flex;
	float: none;
	position: fixed;
	box-shadow: 0 5px 5px rgba(0,0,0,0.3);
	right: -400px;
	height: 100%;
	max-width: 380px;
	min-width: 380px;
	z-index: 101;
	opacity: 0;
	overflow: hidden;
	box-sizing: border-box;
	flex-direction: column;
}
@media screen and (max-width: 380px) {
	.panier-fenetre {
	min-width: 100%;
	max-width: inherit;
	}
}
.panier-fenetre-masque {
	background-color: rgba(0,0,0,1);
	display: none;
	float: none;
	height: 100%;
	width: 100%;
	position: fixed;
	z-index: 100;
	opacity: 0;
}
.panier-fenetre-haut {
	background-color: #FFF;
	display: block;
	float: none;
	padding-top: 40px;
	padding-right: 30px;
	padding-left: 30px;
	position: relative;
	box-sizing: border-box;
	flex-grow: 1;
	transition-property: padding-right,padding-left;
	transition-duration: 0.3s;
	transition-timing-function: ease-in-out;
}
@media screen and (max-width: 380px) {
	.panier-fenetre-haut {
	padding-left: 20px;
	padding-right: 20px;
	}
}
.panier-fenetre-croix {
	display: flex;
	float: none;
	height: 25px;
	width: 25px;
	position: absolute;
	align-items: center;
	top: 10px;
	left: 10px;
	cursor: pointer;
	transform: rotate(45deg);
	transition-property: transform;
	transition-duration: 0.3s;
	transition-timing-function: linear;
}
.panier-fenetre-croix:hover {
	transform: rotate(315deg);
}
.panier-fenetre-croix div {
	background-color: #999;
	display: block;
	float: none;
	height: 1px;
	width: 100%;
	position: relative;
}
.panier-fenetre-croix:hover>div {
	background-color: #666;
}
.panier-fenetre-croix div:first-of-type {
	transform: rotate(90deg);
	position: absolute;
}
.panier-fenetre-cadre {
	display: block;
	float: none;
	position: relative;
	padding-right: 30px;
	padding-bottom: 30px;
	padding-left: 30px;
	height: 100%;
	overflow: auto;
	box-sizing:border-box;
	flex-grow: 1000;
	transition-property: padding-right,padding-left;
	transition-duration: 0.3s;
	transition-timing-function: ease-in-out;
}
@media screen and (max-width: 380px) {
	.panier-fenetre-cadre {
	padding-left: 20px;
	padding-right: 20px;
	}
}
.panier-fenetre-titre {
	display: flex;
	float: none;
	position: relative;
	align-items: flex-end;
	border-bottom-width: 1px;
	border-bottom-style: solid;
	border-bottom-color: #CCC;
	padding-bottom: 5px;
}
.panier-fenetre-titre div {
	font-size: 16px;
	font-weight: bold;
	display: block;
	float: none;
	position: relative;
	text-align: right;
	flex-grow: 1;
}
.panier-fenetre-titre div:first-of-type {
	font-size: 22px;
	text-align: left;
}
.panier-fenetre-contenu {
	display: block;
	float: none;
	position: relative;
}
.panier-fenetre-articles {
	display: block;
	float: none;
	position: relative;
}
.panier-fenetre-article {
	display: block;
	float: none;
	position: relative;
	border-top-width: 1px;
	border-top-style: solid;
	border-top-color: #CCC;
	padding-top: 20px;
	padding-bottom: 20px;
}
.panier-fenetre-article:first-of-type {
	border-top-style: none;
}
.panier-fenetre-article-cadre {
	display: flex;
	float: none;
	position: relative;
}
.panier-fenetre-article-cadre-nouveau {
	background-color: #f7f7f7;
	box-shadow: 0px 0px 0px 10px #f7f7f7;
	border-radius: 1px;
}
.panier-fenetre-article-visuel {
	display: block;
	float: none;
	position: relative;
	flex-grow: 1;
	width: 100px;
	min-width: 100px;
}
.panier-fenetre-article-visuel figure {
	display: block;
	float: none;
	position: relative;
	padding-bottom: 20px;
	font-size: 0px;
}
.panier-fenetre-article-visuel figure a {
	display: block;
	float: none;
	position: relative;
	cursor: pointer;
}
.panier-fenetre-article-visuel figure a img {
	display: block;
	float: none;
	height: auto;
	width: 100%;
	position: relative;
}
.panier-fenetre-article-quantite-cadre {
	display: flex;
	margin: 0px;
	float: none;
	list-style-type: none;
	position: relative;
	padding: 0px;
	border: 1px solid #CCC;
	border-radius: 4px;

}
.panier-fenetre-article-quantite-cadre li {
	display: block;
	float: none;
	position: relative;
	flex-grow: 1;
	height: 32px;
	width: 32px;
}
.panier-fenetre-article-quantite-cadre li:nth-of-type(2) {
	width: 34px;
}
.panier-fenetre-article-quantite-moins {
	display: flex;
	float: none;
	position: relative;
	justify-content: center;
	align-items: center;
	width: 100%;
	height: 32px;
	cursor: pointer;
	background-color: #e6e6e6;
	border-radius: 2px 0px 0px 2px;
	user-select: none;
}
.panier-fenetre-article-quantite-moins:hover {
	background-color: #cccccc;
}
.panier-fenetre-article-quantite-moins div {
	background-color: #666;
	display: block;
	float: none;
	height: 2px;
	width: 14px;
	position: relative;
}
.panier-fenetre-article-quantite-plus {
	display: flex;
	float: none;
	position: relative;
	justify-content: center;
	align-items: center;
	width: 100%;
	height: 32px;
	cursor: pointer;
	background-color: #e6e6e6;
	border-radius: 0px 2px 2px 0px;
	user-select: none;
}
.panier-fenetre-article-quantite-plus div {
	background-color: #666;
	display: block;
	float: none;
	height: 2px;
	width: 14px;
	position: relative;
}
.panier-fenetre-article-quantite-plus div:last-of-type {
	transform: rotate(90deg);
	position: absolute;
}
.panier-fenetre-article-quantite-plus:hover {
	background-color: #cccccc;
}
.panier-fenetre-article-quantite {
	font-size: 16px;
	line-height: 33px;
	display: block;
	margin: 0px;
	padding: 0px;
	float: none;
	height: 32px;
	width: 34px;
	border-top-style: none;
	border-right-style: none;
	border-bottom-style: none;
	border-left-style: none;
	position: relative;
	text-align: center;
	-webkit-appearance: none;
	-moz-appearance: none;
	appearance: none;
	z-index: 10;
}
.panier-fenetre-article-resume {
	display: block;
	float: none;
	position: relative;
	flex-grow: 100;
	padding-left: 20px;
	box-sizing:border-box;
}
.panier-fenetre-article-resume-cadre {
	display: block;
	float: none;
	position: relative;
	min-height: 120px;
}
.panier-fenetre-article-resume h5 {
	font-size: 15px;
	font-weight: normal;
	padding: 0px;
	margin-top: 0px;
	margin-right: 0px;
	margin-left: 0px;
	margin-bottom: 3px;
}
.panier-fenetre-article-resume h5 a {
	color: #000;
	text-decoration: none;
}
.panier-fenetre-article-resume h5 a:hover {
	color: #000;
	text-decoration: none;
	border-bottom-width: 1px;
	border-bottom-style: dotted;
	border-bottom-color: #999;
}
.panier-fenetre-article-resume h6 {
	font-size: 13px;
	font-weight: normal;
	padding: 0px;
	margin-top: 0px;
	margin-right: 0px;
	margin-bottom: 3px;
	margin-left: 0px;
}
.panier-fenetre-article-option {
	display: flex;
	float: none;
	position: relative;
	align-items: center;
	margin: 0px;
	list-style-type: none;
	padding-top: 10px;
	padding-right: 0px;
	padding-bottom: 10px;
	padding-left: 0px;
}
.panier-fenetre-article-option li {
	display: block;
	float: none;
	position: relative;
	flex-grow: 1;
	font-size: 12px;
}
.panier-fenetre-article-option li strong {
	font-size: 14px;
}
.panier-fenetre-article-option-icon {
	width: 22px;
	max-width: 22px;
	font-size: 0px;
}
.panier-fenetre-article-option-icon img {
	height: auto;
	width: 16px;
}
.panier-fenetre-article-option li:last-of-type {
	text-align: right;
}
.panier-fenetre-article-option-supprimer {
	background-image: url(../../graphisme/commerce/supprimer-panier-fenetre.svg);
	background-repeat: no-repeat;
	background-position: center center;
	display: inline-block;
	float: none;
	height: 32px;
	width: 33px;
	border: 1px solid #FFF;
	position: relative;
	cursor: pointer;
	border-radius: 4px;
	background-color: #FFF;
}
.panier-fenetre-article-option-supprimer:hover {
	border: 1px solid #ccc;
}
.panier-fenetre-article-tarif {
	text-align: right;
	display: flex;
	margin: 0px;
	float: none;
	list-style-type: none;
	position: relative;
	padding-top: 3px;
	padding-right: 0px;
	padding-bottom: 0px;
	padding-left: 0px;
	align-items: center;
	flex-wrap: wrap;
	min-height: 34px;
}
.panier-fenetre-article-tarif-normal {
	display: block;
	float: none;
	position: relative;
	line-height: 11px;
	width: 100%;
}
.panier-fenetre-article-tarif-normal strong {
	font-size: 24px;
}
.panier-fenetre-article-tarif-normal span {
	font-size: 17px;
	vertical-align: 40%;
	padding-left: 3px;
}
.panier-fenetre-article-tarif-barre {
	display: block;
	float: none;
	position: relative;
	width: 100%;
}
.panier-fenetre-article-tarif-barre s:first-of-type {
	font-size: 18px;
}
.panier-fenetre-article-tarif-barre s:last-of-type {
	font-size: 14px;
	vertical-align: 18%;
	padding-left: 3px;
}
.panier-fenetre-total {
	display: block;
	float: none;
	position: relative;
	border-top-width: 3px;
	border-top-style: solid;
	border-top-color: #CCC;
}
.panier-fenetre-total-detail {
	display: flex;
	margin: 0px;
	float: none;
	list-style-type: none;
	position: relative;
	flex-wrap: wrap;
	align-items: center;
	padding-top: 10px;
	padding-right: 0px;
	padding-bottom: 10px;
	padding-left: 0px;
	border-bottom-width: 1px;
	border-bottom-style: dashed;
	border-bottom-color: #CCC;
}
.panier-fenetre-total ul:last-of-type {
	border-bottom-style: none;
	padding-bottom: 20px;
}
.panier-fenetre-total-detail-icon {
	display: block;
	width: 26px;
	max-width: 26px;
	position: relative;
	float: none;
	flex-grow: 1;
}
.panier-fenetre-total-detail-icon a {
	background-image: url(../../graphisme/commerce/info-commande.svg);
	background-repeat: no-repeat;
	background-position: center top +3px;
	display: inline-block;
	float: none;
	height: 18px;
	width: 18px;
	position: relative;
	background-color: var(--bouton-couleur-fond);
	cursor: pointer;
	border-radius: 20px;
	vertical-align: middle;
}
.panier-fenetre-total-detail-icon a:hover {
	background-color: var(--bouton-couleur-fond-survol);
}
.panier-fenetre-total-detail-texte {
	display: block;
	position: relative;
	float: none;
	flex-grow: 100;
	font-size: 14px;
}
.panier-fenetre-total-detail-texte span {
	font-size: 13px;
}
.panier-fenetre-total-detail-texte strong {
	color: #dd0000;
}
.panier-fenetre-total-detail-tarif {
	display: block;
	position: relative;
	float: none;
	text-align: right;
	flex-grow: 1;
}
.panier-fenetre-total-detail-tarif strong {
    font-size: 24px;
}
.panier-fenetre-total-detail-tarif span {
	font-size: 17px;
    vertical-align: 24%;
    padding-left: 3px;
}
.panier-fenetre-total-detail-info {
	display: none;
	float: none;
	position: relative;
	width: 100%;
	padding-top: 10px;
}
.panier-fenetre-total-detail-info h5 {
	font-size: 15px;
	margin: 0px;
	padding-top: 0px;
	padding-right: 0px;
	padding-bottom: 5px;
	padding-left: 0px;
}
.panier-fenetre-total-detail-info p {
	font-size: 13px;
	margin: 0px;
	padding-top: 5px;
	padding-right: 0px;
	padding-bottom: 0px;
	padding-left: 0px;
}
.panier-fenetre-total-montant {
	display: flex;
	margin: 0px;
	float: none;
	list-style-type: none;
	position: relative;
	padding-top: 10px;
	padding-right: 0px;
	padding-bottom: 10px;
	padding-left: 0px;
	border-bottom-width: 1px;
	border-bottom-style: dashed;
	border-bottom-color: #CCC;
	align-items: center;
}
.panier-fenetre-total-montant-nom {
	display: block;
	position: relative;
	float: none;
	flex-grow: 1;
	font-size: 16px;
}
.panier-fenetre-total-montant-nom span:nth-of-type(1) strong {
	font-size: 24px;
	text-transform: uppercase;
}
.panier-fenetre-total-montant-nom span:nth-of-type(2) {
	font-size: 14px;
}
.panier-fenetre-total-montant-nom span:nth-of-type(2) strong {
	font-size: 16px;
}
.panier-fenetre-total-montant-tarif {
	display: block;
	position: relative;
	float: none;
	flex-grow: 1;
	text-align: right;
}
.panier-fenetre-total-montant-tarif strong {
    font-size: 24px;
}
.panier-fenetre-total-montant-tarif span {
	font-size: 18px;
    vertical-align: 16%;
    padding-left: 3px;
}
.panier-fenetre-voir {
	display: block;
	float: none;
	position: relative;
}
.panier-fenetre-voir a {
	font-size: 17px;
	color: #FFF;
	text-decoration: none;
	background-color: var(--bouton-couleur-fond);
	text-align: center;
	display: block;
	float: none;
	padding-top: 15px;
	padding-bottom: 15px;
	position: relative;
	border-radius: var(--bouton-radius);
}
.panier-fenetre-voir a:hover {
	background-color: var(--bouton-couleur-fond-survol);
}
.panier-fenetre-vide {
	display: flex;
	float: none;
	position: relative;
	background-image: url(../../graphisme/commerce/panier-fenetre-vide.png);
	background-repeat: no-repeat;
	background-position: center center;
	text-align: center;
	list-style-type: none;
	flex-direction: column;
	padding: 0px;
	margin-top: 30px;
	margin-right: 0px;
	margin-bottom: 0px;
	margin-left: 0px;
	height: 250px;
	justify-content: center;
	 align-content: center;
	 align-items: center;
}
.panier-fenetre-vide li {
	font-size: 17px;
	display: block;
	float: none;
	position: relative;
	flex-grow: 1;
}
.panier-fenetre-vide li:first-of-type {
	padding-top: 50px;
}
.panier-fenetre-vide li a {
	font-size: 15px;
	color: #000;
	text-decoration: none;
	background-color: #FFF;
	display: inline-block;
	border: 1px solid #CCC;
	position: relative;
	border-radius: var(--bouton-radius);
	cursor: pointer;
	padding-top: 12px;
	padding-right: 15px;
	padding-bottom: 12px;
	padding-left: 15px;
}
.panier-fenetre-vide li a:hover {
	background-color: var(--bouton-couleur-fond-survol);
	border: 1px solid var(--bouton-couleur-fond-survol);
	color: #fff;
}